# explicitly define, as we build on top of an scl, not inside with scl_package
%{?scl:%global scl_prefix %{scl}-}

#global betatag beta
#global dotbetatag .%{betatag}

Name:       satellite
Version:    6.2.16.1
Release:    1.0%{?dotbetatag}%{?dist}
Summary:    A package for managing application life-cycle for Linux systems
BuildArch:  noarch
Group:      Applications/Internet
License:    GPLv2
URL:        https://access.redhat.com/products/red-hat-satellite

Requires: foreman >= 1.11.0
Requires: satellite-installer
Requires: katello >= 3.0.0
Requires: %{scl_prefix}rubygem(katello) >= 3.0.0
Requires: %{scl_prefix}rubygem(foreman_docker)
Requires: %{scl_prefix}rubygem(foreman_bootdisk)
Requires: %{scl_prefix}rubygem(foreman_hooks)
Requires: %{scl_prefix}rubygem(foreman-redhat_access)
Requires: satellite-cli

Requires: foreman-libvirt
Requires: foreman-ovirt
Requires: foreman-vmware
Requires: foreman-gce
Requires: foreman-ec2
Requires: foreman-openstack
Requires: foreman-rackspace

Requires: katello-service
Requires: katello-debug

Requires: mod_passenger
Requires: %{scl_prefix}rubygem-passenger-native

# From 6.0
Obsoletes: ruby193-rubygem-sprockets-rails
Obsoletes: ruby193-rubygem-compass
Obsoletes: ruby193-rubygem-compass-rails
Obsoletes: ruby193-rubygem-fssm
Obsoletes: ruby193-rubygem-ruby-openid
Obsoletes: ruby193-rubygem-ftools
Obsoletes: ruby193-rubygem-eventmachine
Obsoletes: ruby193-rubygem-compass-960-plugin
Obsoletes: ruby193-rubygem-bootstrap-sass
Obsoletes: ruby193-rubygem-maruku
Obsoletes: ruby193-rubygem-thin
Obsoletes: ruby193-rubygem-sass-rails
Obsoletes: ruby193-rubygem-simple-navigation
Obsoletes: ruby193-rubygem-syntax
Obsoletes: ruby193-rubygem-open4
Obsoletes: ruby193-rubygem-chunky_png
Obsoletes: ruby193-rubygem-commonjs
Obsoletes: ruby193-rubygem-less
Obsoletes: ruby193-rubygem-ui_alchemy-rails

# From 6.1
Obsoletes: ruby193-rubygem-angular-rails-templates
Obsoletes: ruby193-rubygem-hooks
Obsoletes: ruby193-rubygem-sprockets
Obsoletes: ruby193-rubygem-hashr
Obsoletes: ruby193-rubygem-sass
Obsoletes: ruby193-rubygem-po_to_json
Obsoletes: ruby193-rubygem-strong_parameters
Obsoletes: ruby193-rubygem-gettext_i18n_rails_js
Obsoletes: ruby193-rubygem-tire
Obsoletes: ruby193-rubygem-i18n_data
Obsoletes: ruby193-rubygem-uuidtools
Obsoletes: ruby193-rubygem-foreman-redhat_access
Obsoletes: ruby193-rubygem-actionpack
Obsoletes: rubygem-hammer_cli_foreman_docker
Obsoletes: ruby193-rubygem-actionmailer
Obsoletes: ruby193-rubygem-less-rails
Obsoletes: ruby193-rubygem-rails
Obsoletes: ruby193-rubygem-railties
Obsoletes: ruby193-rubygem-jquery-rails
Obsoletes: ruby193-rubygem-scaptimony
Obsoletes: pulp-nodes-parent
Obsoletes: pulp-nodes-child
Obsoletes: pulp-nodes-common

%description
Provides a package for managing application life-cycle for Linux systems.

%files


%package capsule
BuildArch: noarch
Summary:   Satellite Capsule

Requires: foreman-proxy
Requires: satellite-installer
Requires: katello-capsule

Obsoletes: pulp-nodes-parent
Obsoletes: pulp-nodes-child
Obsoletes: pulp-nodes-common

%description capsule
Installation of a Satellite capsule

%files capsule


%package cli
BuildArch: noarch
Summary:   Provides the Satellite command line interface

Requires: %{scl_prefix}rubygem(hammer_cli_csv)
Requires: %{scl_prefix}rubygem(hammer_cli_foreman)
Requires: %{scl_prefix}rubygem(hammer_cli_foreman_bootdisk)
Requires: %{scl_prefix}rubygem(hammer_cli_foreman_discovery)
Requires: %{scl_prefix}rubygem(hammer_cli_foreman_docker)
Requires: %{scl_prefix}rubygem(hammer_cli_foreman_remote_execution)
Requires: %{scl_prefix}rubygem(hammer_cli_foreman_tasks)
Requires: %{scl_prefix}rubygem(hammer_cli_katello)
Requires: %{scl_prefix}rubygem(hammer_cli_import)
Requires: %{scl_prefix}rubygem(hammer_cli_foreman_admin)

%description cli
Allows managing a Satellite server through a command line interface.

%files cli


%package debug-tools
BuildArch: noarch
Summary:   Provides tools for debugging a Satellite server

Requires: qpid-dispatch-tools
Requires: pulp-admin-client
Requires: pulp-rpm-admin-extensions
Requires: pulp-puppet-admin-extensions
Requires: pulp-docker-admin-extensions

%description debug-tools
Provides tools for debugging a Satellite Server

%files debug-tools

%changelog
* Mon Apr 01 2019 Eric D. Helms <ericdhelms@gmail.com> 6.2.16.1-1.0
- Bump Satellite RPM version (ericdhelms@gmail.com)

* Thu Nov 06 2018 Patrick Creech <pcreech@redhat.com> 6.2.16-1.0
-

* Wed Mar 14 2018 zjhuntin <zhunting@redhat.com> 6.2.15-1.0
-

* Tue Jan 30 2018 Evgeni Golov 6.2.14-4.0
-

* Tue Jan 09 2018 Evgeni Golov 6.2.14-1.0
- bump Satellite version to 6.2.14 (evgeni@redhat.com)

* Tue Dec 19 2017 Eric D. Helms <ericdhelms@gmail.com> 6.2.13-4.0
- Automatic commit of package [satellite] minor release [6.2.13-3.0].
  (zhunting@redhat.com)

* Wed Dec 13 2017 zjhuntin <zhunting@redhat.com> 6.2.13-3.0
-

* Wed Nov 29 2017 zjhuntin <zhunting@redhat.com> 6.2.13-2.0
-

* Mon Oct 09 2017 zjhuntin <zhunting@redhat.com> 6.2.12-6.0
-

* Fri Sep 22 2017 Evgeni Golov 6.2.12-5.0
-

* Mon Sep 18 2017 Evgeni Golov 6.2.12-4.0
-

* Thu Sep 07 2017 Evgeni Golov 6.2.12-3.0
-

* Thu Aug 31 2017 Evgeni Golov 6.2.12-2.0
-

* Wed Aug 23 2017 Evgeni Golov 6.2.12-1.0
-

* Fri Jul 21 2017 zjhuntin <zhunting@redhat.com> 6.2.11-2.0
-

* Mon Jul 17 2017 zjhuntin <zhunting@redhat.com> 6.2.11-1.0
-

* Wed Jun 07 2017 zjhuntin <zhunting@redhat.com> 6.2.10-4.0
-- Add Snap 4.0

* Fri Jun 02 2017 zjhuntin <zhunting@redhat.com> 6.2.10-3.0
- Bump snap release

* Thu May 25 2017 zjhuntin <zhunting@redhat.com> 6.2.10-2.0
- Bump for 6.2.10 Snap 2

* Wed May 17 2017 zjhuntin <zhunting@redhat.com> 6.2.10-1.0
-

* Wed Apr 26 2017 zjhuntin <zhunting@redhat.com> 6.2.9-7.0
-

* Tue Apr 25 2017 zjhuntin <zhunting@redhat.com> 6.2.9-6.0
-

* Mon Apr 24 2017 zjhuntin <zhunting@redhat.com> 6.2.9-5.0
-

* Mon Apr 17 2017 zjhuntin <zhunting@redhat.com> 6.2.9-4.0
-

* Mon Apr 17 2017 zjhuntin <zhunting@redhat.com>
-

* Mon Apr 03 2017 zjhuntin <zhunting@redhat.com> 6.2.9-3.0
-

* Tue Mar 28 2017 zjhuntin <zhunting@redhat.com> 6.2.9-2.0
-

* Mon Mar 20 2017 zjhuntin <zhunting@redhat.com> 6.2.9-1.0
-

* Fri Feb 24 2017 zjhuntin <zhunting@redhat.com> 6.2.8-4.0
-

* Tue Jan 31 2017 zjhuntin <zhunting@redhat.com> 6.2.8-1.0
-

* Tue Dec 20 2016 zjhuntin <zhunting@redhat.com> 6.2.7-1.0
-

* Tue Dec 13 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.6-2.0
- Update to satellite 6.2.6-2.0 (ericdhelms@gmail.com)

* Mon Dec 12 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.6-1.0
-

* Tue Nov 22 2016 zjhuntin <zhunting@redhat.com> 6.2.5-1.0
-

* Wed Oct 26 2016 zjhuntin <zhunting@redhat.com> 6.2.4-1.0
-

* Fri Oct 07 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.3-1.0
- Update Satellite to 6.2.3 (ericdhelms@gmail.com)

* Mon Sep 26 2016 zjhuntin <zhunting@redhat.com> 6.2.2.1-1.0
-

* Mon Sep 26 2016 zjhuntin <zhunting@redhat.com> 6.2.2-1.2
-

* Mon Sep 26 2016 zjhuntin <zhunting@redhat.com>
-

* Tue Aug 30 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.2-1.1
-

* Mon Aug 29 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.2-1.0
- First 6.2.2 build (ericdhelms@gmail.com)

* Wed Aug 17 2016 zjhuntin <zhunting@redhat.com> 6.2.1-1.3
- Bump release to 6.2.1-1.3

* Wed Aug 10 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.1-1.2
- Bump release to 1.2 (ericdhelms@gmail.com)

* Tue Aug 02 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.1-1.0
- Release Satellite 6.2.1 (ericdhelms@gmail.com)

* Mon Jul 25 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-21.2
- BZ #1358820 - YUM update fails on dependencies (ericdhelms@gmail.com)

* Thu Jul 21 2016 Zach Huntington-Meath <zhunting@redhat.com> 6.2.0-21.1
-

* Wed Jul 20 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-21.0
- Bump satellite release to 21.0 (ericdhelms@gmail.com)

* Tue Jul 19 2016 Zach Huntington-Meath <zhunting@redhat.com> 6.2.0-20.3
-

* Fri Jul 15 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-20.2
-

* Fri Jul 15 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-20.1
- Bump satellite release to 20.1 (ericdhelms@gmail.com)

* Tue Jul 12 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-20.0
-

* Thu Jul 07 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-19.1
- Automatic commit of package [satellite] minor release [6.2.0-19.0].
  (ericdhelms@gmail.com)

* Tue Jul 05 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-19.0
- BZ #1339788 - Upgrading sat 6.1.9 with openscap installed to 6.2.0 failed
  with dependency error (ericdhelms@gmail.com)

* Thu Jun 30 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-18.2
-

* Mon Jun 27 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-18.0
-

* Mon Jun 20 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-17.0
- Bump Satellite to 17.0 (ericdhelms@gmail.com)
- BZ #1347285 - Unable to add openstack and rackspace compute resources
  (ericdhelms@gmail.com)

* Wed Jun 08 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-15.1.beta
-

* Wed Jun 01 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-14.2
- BZ #1315286 - Remove gutterball and associated functionality
  (ericdhelms@gmail.com)

* Tue May 31 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-14.1
- BZ #1323303 - install satellite-cli with Satellite
  (martin.bacovsky@gmail.com)

* Tue May 24 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-13.0
- Snap 13.0

* Wed May 18 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-12.1
-

* Mon May 16 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-12.0
-

* Mon May 16 2016 Eric D Helms <ericdhelms@gmail.com>
-

* Tue May 10 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-11.0
- Update satellite to Snap 11 (ericdhelms@gmail.com)
- Fixes #1323708 - Branded satellite installer and scenario
  (martin.bacovsky@gmail.com)

* Tue May 03 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-10.0
- BZ #1316458 - Upgrade from 6.1.7 to 6.2 Snap 3 is failing with dependencies
  (ericdhelms@gmail.com)

* Tue Apr 19 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-9.0.beta
- Remove plugins that must be installed through installer (mhulan@redhat.com)

* Thu Apr 14 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-8.2.beta
- Bump to Beta Snap 8.2 (ericdhelms@gmail.com)

* Mon Apr 11 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-8.0.beta
- Bump satellite to Beta Snap 8.0 (ericdhelms@gmail.com)
- BZ #1324615 - [RFE] Please add foreman-ec2 into the 6.2 composes
  (ericdhelms@gmail.com)

* Thu Apr 07 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-7.0.beta
- Snap 7.0 Beta

* Mon Apr 04 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-6.2.beta
- Snap 6.2

* Fri Apr 01 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-6.1.beta
-

* Wed Mar 30 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-6.0.beta
- Bump satellite to Snap 6.0 beta (ericdhelms@gmail.com)

* Thu Mar 24 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-5.2.beta
- Bump satellite to Snap 5.2 (ericdhelms@gmail.com)

* Wed Feb 24 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-4.beta
- Update satellite package for new installer requires (ericdhelms@gmail.com)

* Sat Feb 20 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-3.beta
- Add missing katello-installer to satellite (ericdhelms@gmail.com)

* Sat Feb 20 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-2.beta
- Update satellite for improperly named packages (ericdhelms@gmail.com)
- Customize to use regular builder for satellite package (ericdhelms@gmail.com)

* Fri Feb 19 2016 Eric D Helms <ericdhelms@gmail.com> 6.2.0-1.beta
- new package built with tito
